### A free/open-source library for quantitative finance

Public Member Functions | Protected Attributes
GeometricBrownianMotionProcess Class Reference
Stochastic processes

Geometric brownian-motion process. More...

`#include <ql/processes/geometricbrownianprocess.hpp>`

Inheritance diagram for GeometricBrownianMotionProcess:
[legend]

List of all members.

## Public Member Functions

| GeometricBrownianMotionProcess (double initialValue, double mue, double sigma)
Real | x0 () const
| returns the initial value of the state variable
Real | drift (Time t, Real x) const
| returns the drift part of the equation, i.e.
Real | diffusion (Time t, Real x) const
| returns the diffusion part of the equation, i.e.

## Protected Attributes

double | initialValue_
double | mue_
double | sigma_

## Detailed Description

Geometric brownian-motion process.

This class describes the stochastic process governed by